package no.shhsoft.warchecker;

/**
 * @author <a href="mailto:shh@thathost.com">Sverre H. Huseby</a>
 */
public final class Indenter {

    private static final int NUM_INDENT_SPACES = 4;

    private Indenter() {
        /* not to be instantiated */
    }

    public static String getSpaces(final int len) {
        if (len <= 0) {
            return "";
        }
        final StringBuilder sb = new StringBuilder();
        for (int q = len; q > 0; q--) {
            sb.append(' ');
        }
        return sb.toString();
    }

    public static String getIndentSpaces(final int level) {
        return getSpaces(level * NUM_INDENT_SPACES);
    }

    public static String getIndentSpaces() {
        return getIndentSpaces(1);
    }

}
