package no.shhsoft.warchecker;

/**
 * @author <a href="mailto:shh@thathost.com">Sverre H. Huseby</a>
 */
public final class Resource {

    private String name;
    private long size;
    private long crc;
    private long time;

    public Resource(final String name) {
        setName(name);
    }

    public Resource(final String name, final long size, final long crc, final long time) {
        setName(name);
        setSize(size);
        setCrc(crc);
        setTime(time);
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setSize(final long size) {
        this.size = size;
    }

    public long getSize() {
        return size;
    }

    public void setCrc(final long crc) {
        this.crc = crc;
    }

    public long getCrc() {
        return crc;
    }

    public void setTime(final long time) {
        this.time = time;
    }

    public long getTime() {
        return time;
    }

    @Override
    public boolean equals(final Object obj) {
        if (!(obj instanceof Resource)) {
            return false;
        }
        final Resource other = (Resource) obj;
        return name.equals(other.name) && size == other.size && crc == other.crc
               && time == other.time;
    }

    @Override
    public int hashCode() {
        return (int) (name.hashCode() ^ size ^ crc ^ time);
    }

}
