package no.shhsoft.warchecker;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @author <a href="mailto:shh@thathost.com">Sverre H. Huseby</a>
 */
public final class ResourceContainer {

    private String name;
    private boolean external;
    private final Map<String, Resource> resources = new LinkedHashMap<String, Resource>();

    public ResourceContainer(final String name, final boolean external) {
        setName(name);
        setExternal(external);
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setExternal(final boolean external) {
        this.external = external;
    }

    public boolean isExternal() {
        return external;
    }

    public void addResource(final Resource resource) {
        resources.put(resource.getName(), resource);
    }

    public Resource findResourceByName(final String name) {
        return resources.get(name);
    }

}
