package no.shhsoft.warchecker.maven;

import java.io.PrintWriter;

import org.apache.maven.plugin.logging.Log;

import no.shhsoft.warchecker.Out;

/**
 * @author <a href="mailto:shh@thathost.com">Sverre H. Huseby</a>
 */
public final class MavenOut
implements Out {

    private final Log log;
    private PrintWriter infoPrintWriter = null;

    private static String[] getLines(final String s) {
        return s.split("(" + System.getProperty("line.separator", "\n") + "|\\n)", -1);
    }

    public MavenOut(final Log log) {
        this.log = log;
    }

    public void error(final String msg) {
        for (final String line : getLines(msg)) {
            log.error(line);
        }
    }

    public void info(final String msg) {
        if (infoPrintWriter != null) {
            infoPrintWriter.println(msg);
        } else {
            for (final String line : getLines(msg)) {
                log.info(line);
            }
        }
    }

    public void verbose(final String msg) {
        for (final String line : getLines(msg)) {
            log.debug(line);
        }
    }

    public void setInfoPrintWriter(final PrintWriter infoPrintWriter) {
        this.infoPrintWriter = infoPrintWriter;
    }

}
