package no.shhsoft.warchecker.reporters;

import no.shhsoft.warchecker.Indenter;
import no.shhsoft.warchecker.WarData;

/**
 * @author <a href="mailto:shh@thathost.com">Sverre H. Huseby</a>
 */
public final class JarsReporter
extends AbstractReporter {

    @Override
    public String report(final WarData warData) {
        final StringBuilder sb = new StringBuilder();
        sb.append("All embedded jar files\n");
        sb.append("----------------------\n");
        sb.append('\n');
        for (final String name : warData.getContainerNames()) {
            sb.append(Indenter.getIndentSpaces());
            sb.append(name);
            sb.append('\n');
        }
        return sb.toString();
    }

}
